# RiskModelSampleUniqueness (ARX API Documentation)

org.deidentifier.arx.risk

## Class RiskModelSampleUniqueness

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleUniqueness

-     public class RiskModelSampleUniqueness
      extends java.lang.Object

  Class for risks based on sample uniqueness

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RiskModelSampleUniqueness(RiskModelHistogram histogram)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getFractionOfUniqueTuples()` Returns the fraction of tuples affected by the highest re-identification risk
    `double` | `getNumUniqueTuples()` Returns the number of tuples affected by the lowest re-identification risk

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskModelSampleUniqueness

          public RiskModelSampleUniqueness(RiskModelHistogram histogram)

      Creates a new instance
      Parameters:
        `histogram` -

  - ### Method Detail

    - #### getFractionOfUniqueTuples

          public double getFractionOfUniqueTuples()

      Returns the fraction of tuples affected by the highest re-identification risk
      Returns:

    - #### getNumUniqueTuples

          public double getNumUniqueTuples()

      Returns the number of tuples affected by the lowest re-identification risk
      Returns: